---
title: Installazione
sidebar: antenne_sidebar
permalink: antenne_installazione.html
folder: antenne
---

# La scelta delle antenne

* Ubiquity nano M5, 2 interfacce ethernet, 11dbi, prezzo intorno ai 75 euro

* Ubiquity Nano loco M5, 1 interfaccia ethernet, 8dbi, prezzo intorno ai 35 euro

* TP link CPE510, 2 interfacce ethernet, 11dbi, presso intorno ai 60 euro
 
Tutte supportano Libremesh:

* [https://libremesh.org/docs/it_guida_rapida_per_iniziare.html](Sistema di configurazioni dei protocolli di mesh: Libremesh)

Le antenne vanno configurate installandogli Libremesh, piazzate sui tetti a vista l'una con l'altra ed accese.

Automaticamente si riconoscono in una unica rete mesh, come se fossimo tuttx in una grande rete locale.

M5 non è il modello, ma significa che lavorano a 5GHz, ovvero che la velocità di frequenza del segnale è di 5miliardi di cicli al secondo, 
quindi che sono onde piccole, con una ampiezza piccola, che si frantumano quando incontrano ostacoli. Questo il motivo per cui tutte le nostre antenne devono vedersi per comunicare. Hanno tutte una potenza tra gli 8dbi e gli 11dbi, significa che sono progettate per raggiungere distanze massime di circa 10km. 

Non tutti i cellulari ed i computer vedono la rete a 5GHz, quindi spesso si aggiunge un router wireless dopo l'antenna, i router domestici spesso hanno una connessione wireless a 2.4GHz e quella è vista da tutti gli apparecchi. I router un pochino nuovi sono dual band, ovvero hanno entrambe, sia la 2.4GHz che la 5GHz. 

Il protocollo usato su entrambe le frequenze è l'802.11n , che è l'attuale protocollo wifi in uso nel mondo.

## Flashare le antenne

Noi usiamo libremesh

[https://libremesh.org/docs/it_guida_rapida_per_iniziare.html](https://libremesh.org/docs/it_guida_rapida_per_iniziare.html)

ATTENZIONE con le ubiquiti che vanno flashate da AIROS >5.5 a AirOS 5.5.x
Quindi va fatto prima un downgrade e POI passare a LibreMesh

### Ripristino

In alcuni casi si potrebbe aver sbagliato delle configurazioni ed avere l'antenna che non boota. In questo caso gli si può rimettere il firmware di fabbrica usando un tftp server.

Prima provare a fare il RESET e vedere se si ripiglia. Il reset è quel buchino da pigiare con uno stuzzicandenti vicino alla porta ethernet, alcuni alimentatori per antenne hanno anche il reset remoto; quindi il buchino con scritto reset sull'alimentatore.

## Link utili per le antenne che abbiamo:

* antenne e firmware ubiquiti

indirizzo: 192.168.1.20 - credenziali: ubnt:ubnt

 [https://www.ui.com/download/?q=loco](https://www.ui.com/download/?q=loco)

* CPE510 

[https://www.tp-link.com/it/support/download/cpe510/v1/](https://www.tp-link.com/it/support/download/cpe510/v1/) 

[https://openwrt.org/toh/tp-link/cpe510](https://openwrt.org/toh/tp-link/cpe510)

[https://www.tp-link.com/it/products/details/cat-37_CPE510.html](https://www.tp-link.com/it/products/details/cat-37_CPE510.html)

* ubiquiti m5 nano

[http://wiki.ninux.org/UbiquitiNanostation5](http://wiki.ninux.org/UbiquitiNanostation5)

* ubiquiti m5 nano loco wx

[Info openwrt nanostatione m5](https://openwrt.org/toh/ubiquiti/nanostationm5)

# Procedura per le ubiquiti nanostation loco m5 xw

Flashate prima con Airos 5.6 poi Airos 5.5.10u2 e quindi con LibreMesh

[Info TFTP](https://openwrt.org/docs/guide-user/installation/generic.flashing.tftp)

Per entrare nella  modalità di recupero tftp (trivial file transfer protocol) bisogna tenere il pulsante di reset premuto, poi dargli la corrente, ovvero accedere l'antenna e poi tenere il pulsante premuto ancora un po (for ~15 sec). I led cominceranno a luccicare con luc rosse e gialle.

[https://www.youtube.com/watch?v=TkWX_fjLjY0](https://www.youtube.com/watch?v=TkWX_fjLjY0)

 pick an address in the range 192.168.1.1-254 for your network device

 	tftp 192.168.1.20

	tftp> bin
	tftp> trace

 depending on your version **xm** or **xw**
	
	tftp> put XW.v5.6.15.30572.170328.1052.bin

Questa è l'unica che mi funziona sulle ubiquiti M5 nanostation loco fabbricate nel gennaio 2018. 
NON è firmata quindi da qui ci si riesce a mettere anche versiondi più vecchie di AIROS, ovvero quella che vogliamo noi, la
[Airos 5.5.10u2](dl.ubnt.com/firmwares/XW-fw/v5.5.10/XW.v5.5.10-u2.28005.150723.1358.bin)


## Problemi?

[risoluzione problemi libremesh](https://libremesh.org/docs/en_troubleshooting.html)
[info recupero seriale estremo](https://groups.google.com/forum/#!topic/ninux-ml/E3mrGgIlCjc)

{% include links.html %}

