---
title: Backup di nextcloud
sidebar: mydoc_sidebar
summary: "mettere al sicuro i dati della comunità di tanto in tanto"
permalink: mydoc_backup.html
folder: mydoc
---

# Manutenzione Cloud Dispensa

## Preliminari

Verificare la versione a cui siamo: https://scan.nextcloud.com/results/50ee0a1d-6f8e-4aa4-886a-5d7676f0cbeb

Se c'è scritto:  NOT on latest patch level
Significa che dobbiamo aggiornare.

Verificare le versioni successive di nexcloud:

Esempio: da scan vediamo che stiamo usando la versione: 24.0.6.1

Verfichiamo qual'è l'ultima versione della nostra "maior release", ovvero il primo numero a sinistra:
esempio: 24.0.8

Qui: https://hub.docker.com/_/nextcloud o qui: https://nextcloud.com/it/changelog/ o qui: https://download.nextcloud.com/server/releases/

Esempio, dalla 24.0.6 aggiorneremo alla 24.0.8, verificheremo gli aggiornamenti del database via web:

e poi procederemo ad aggiornare alla 25.0.1, verificheremo di nuovo gli aggiornamenti degl indici del database e poi faremo l'ultimo salto di versione a quella disponibile, esempio:  25.0.2

Procedere con [l'autenticarsi sul server](https://www.campiaperti.org/documentazione/mydoc_about.html#autenticarsi-ssh)


## Backup

Fonte: https://docs.nextcloud.com/server/20/admin_manual/maintenance/backup.html

Per fare il backup di una installazione Nextcloud ci sono 4 cose principali che devi mantenere: 

The config folder  
The data folder  
The theme folder  
The database  

Eseguire prima il test di salute dell'installazione.

A questo punto recarsi nella cartella dove abbiamo il file docker-compose.yml

    cd /opt/nextcloud/

Quindi da lì impostare la modalità manutenzione:

    docker exec -u www-data nextcloud-app php occ maintenance:mode --on
    
Verificare che abbia funzionato: https://campiaperti.tetaneutral.net/login

Fare il backup di config, data, themes, e custom-apps, che si trovano tutte dentro la cartella app/

    #tar -czvf /home/backup_dispensa/data-nextcloud_$(date +%Y%m%d%H%M).tar.gz /opt/nextcloud/app

fare il backup del db:

    docker exec -i nextcloud-mariadb mysqldump --single-transaction -u [username] -p[password] [db_name] > /home/backup_dispensa/nextcloud-sqlbkp_$(date +%Y%m%d%H%M).bak
    
Cancellare i backup più vecchi.

### Dal proprio PC

Scaricare il backup del db
    scp -P 2222 -r root@campiaperti.tetaneutral.net:/home/backups_dispensa/nextcloud-sqlbkp_`date +"%Y%m%d"`.bak /home/$USER/
    
scaricare il backup di config, data, themes, and custom-apps

    scp -P 2222 -r root@campiaperti.tetaneutral.net:/home/backups_dispensa/nextcloud-app_1.tar /home/$USER/
  
Se non si riesce a   
  
---

#### Ripristinare configurazione di nginix "client_max_body_size"

    docker exec -ti nextcloud-proxy /bin/bash

da dentro al container

    vi /etc/nginx/nginx.conf

aggiungere la riga dentro a http {…}

    client_max_body_size 20M;

riavviare ad nginx

    nginx -s reload

---

#### Togliere la modalità manutenzione
    docker exec -u www-data nextcloud-app php occ maintenance:mode --off

    


{% include links.html %}
